Bug 40793 - Documentation Errors: Tomcat Connector: Apache HowTo: Installation: Using Tomcat auto-configure
Documentation Errors: Tomcat Connector: Apache HowTo: Installation: Using Tom...
Status: RESOLVED FIXED
Product: Tomcat Connectors
Classification: Unclassified
Component: Common
unspecified
Macintosh Mac OS X 10.4
: P2 minor (vote)
: ---
Assigned To: Tomcat Developers Mailing List
http://tomcat.apache.org/connectors-d...
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2006-10-18 17:41 UTC by Paul Charles Leddy
Modified: 2008-10-05 03:09 UTC (History)
0 users



Attachments
Patch to documentation on automating Tomcat to generate Apache conf file (1.02 KB, patch)
2006-10-18 17:43 UTC, Paul Charles Leddy
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Paul Charles Leddy 2006-10-18 17:41:34 UTC
===================================================================
--- howto/apache.xml    (revision 465431)
+++ howto/apache.xml    (working copy)
@@ -244,16 +244,27 @@
 </source>
 
 <p>
+Note: this file may also be generated as $TOMCAT_HOME/conf/auto/mod_jk.conf 
+</p>
+
+<p>
 This will tell Apache to use directives in the <b>mod_jk.conf-auto</b> file in
the Apache configuration.
 This file is created by enabling the Apache auto-configuration as follows, in
your server.xml file.
 <b>Please note that this example is specific to Tomcat 5.x, unlike other
sections of this document
-   which also apply to previous Tomcat branches.</b>
+   which also apply to previous Tomcat branches.</b>  Also, this entry goes
within the block for your current 
+   'Engine', not in a block of its own.
 </p>
 <source>
   ...
   &lt;Engine ...&gt;
+  .
+  .
+  .
     &lt;Listener className="org.apache.jk.config.ApacheConfig"
modJk="/path/to/mod_jk.so" /&gt;
-  &lt;/Engine&gt;
+  .
+  .
+  .
+    &lt;/Engine&gt;
   ...
 </source>
Comment 1 Paul Charles Leddy 2006-10-18 17:43:19 UTC
Created attachment 19028 [details]
Patch to documentation on automating Tomcat to generate Apache conf file
Comment 2 Mark Thomas 2006-11-11 20:45:47 UTC
Many thanks for the patch. I have committed a slightly re-worded version to SVN
which will be included in JK 1.2.20 onwards.